Subject: bug#30340: closed (Re: Adopt NixOS patches for Qt5)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 18 Feb 2018 17:52:02 +0000

Your bug report

#30340: [PATCH 0/6] Adopt NixOS patches for Qt5

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30340: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30340
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Adopt NixOS patches for Qt5
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Date: Sun, 18 Feb 2018 18:51:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I finally pushed this as bdf0c644d..042f7c263. Changes to the original
patches are:

* qtbase:
  - Don't use tzdata as input, adopt patch for using TZDIR instead
  - Update comment why store-paths are needed
* qtserialport:
  - Update comment why store-paths are needed
* drop patches 2, 3, 5 and 6 (Add not …)

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |

Subject: [PATCH 0/6] Adopt NixOS patches for Qt5
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Date: Sat, 3 Feb 2018 20:22:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I reviewed the patches NixOS aplies to Qt 5.9 and 5.10. The changes of this
series hold the result. I stepped over these when trying to make KDE Plasma
work.

Most changes are about using store-paths to other packages and for dynamically
loaded libs.  To ease futuer work, I also added comments about patches we do
not need and why.

Hartmut Goebel (6):
  gnu: qtbase: Use the store paths for other packages and dynamically
    loaded libs.
  gnu: qtdeclarative: Add note about a patch NixOS has but we don't
    need.
  gnu: qtscript: Add note about a patch NixOS has but we don't need.
  gnu: qtserialport: Use the store paths for dynamically loaded libs.
  gnu: qttools: Add note about a patch NixOS has but we don't need.
  gnu: qtwebkit: Add note about a patch NixOS has but we don't need.

 gnu/packages/qt.scm | 62 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 61 insertions(+), 1 deletion(-)

-- 
2.13.6